<?php
session_start();

// Ελέγχω αν ο χρήστης έχει ήδη συνδεθεί
if (isset($_SESSION['session_username'])) {
    echo "Έχεις κάνει ήδη login <b>" . $_SESSION['session_username'] . "</b>! Μια φορά αρκεί.";
    echo "<br><a href='logoff.php'>Log off</a>";
} else {
    // Ελέγχω αν η φόρμα έχει υποβληθεί
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['username']) && isset($_POST['password'])) {
        // Ελέγχω αν το μήκος των δεδομένων είναι μικρότερο του 6
        if (strlen($_POST['username']) < 6 || strlen($_POST['password']) < 6) {
            echo "<h2>Δεν έχετε δώσει τα σωστά δεδομένα!</h2>";
            echo "<br /><a href='login_form.php'><img src='meme.png' /></a>";
        } else {
            // Αν όλα είναι ΟΚ, δημιουργώ το session
            $_SESSION['session_username'] = $_POST['username'];
            echo "Welcome <b>" . $_SESSION['session_username'] . "</b>";
            echo "<br><a href='logoff.php'>Log off</a>";
        }
    } else {
        echo "<h2>Δεν υποβλήθηκαν δεδομένα μέσω της φόρμας!</h2>";
        echo "<br /><a href='login_form.php'>Επιστροφή στη φόρμα</a>";
    }
}
?>
